From ea6f86c89b3c9a385fca79289ac536e3255368f4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 11 2020 03:10:27 +0000
Subject: [PATCH 1338/2232] Fill in <utility> header needed by Box<T>::Box(T&&)


---

diff --git a/gen/src/builtin.rs b/gen/src/builtin.rs
index 8a25769..72b411c 100644
--- a/gen/src/builtin.rs
+++ b/gen/src/builtin.rs
@@ -62,6 +62,7 @@ pub(super) fn write(out: &mut OutFile) {
     if builtin.rust_box {
         include.new = true;
         include.type_traits = true;
+        include.utility = true;
     }
 
     if builtin.rust_vec {

